Get Audit Map
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/audit/map \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/audit/map"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/audit/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/audit/map",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/audit/map"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/audit/map")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/audit/map")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archives": [
{
"count": 0,
"kind": "<string>",
"label": "<string>",
"paged": 0,
"read": 0,
"taxonomy": "<string>"
}
],
"categories": [
{
"collection": "<string>",
"count": 123,
"group": "<string>",
"name": "<string>"
}
],
"citations": {},
"collections": [
{
"count": 0,
"key": "<string>",
"kind": "other",
"label": "",
"read": 0,
"sampled": false
}
],
"counts": {
"agent_unreachable": 0,
"broken": 0,
"orphans": 0
},
"findings": [
{
"area": "positioning",
"detail": "<string>",
"id": "<string>",
"pages": 123,
"severity": "issue"
}
],
"folder_pages_total": 123,
"folders": [
{
"broken": 123,
"improve": 123,
"issue": 123,
"pages": 123,
"path": "<string>"
}
],
"fully_read": false,
"language": "<string>",
"languages": [
{
"code": "<string>",
"found": 123,
"read": 123,
"root": "<string>"
}
],
"links": [
{
"kind": "link",
"label": "<string>",
"region": "<string>",
"rendered": true,
"source": "<string>",
"target": "<string>"
}
],
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"pages": [
{
"above_the_fold": {
"audience": "<string>",
"call_to_action": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"cta_actionable": "pass",
"design": {
"clutter": {
"verdict": "pass",
"why": "<string>"
},
"fits_buyer": {
"verdict": "pass",
"why": "<string>"
},
"generated_look": {
"verdict": "pass",
"why": "<string>"
},
"hierarchy": {
"verdict": "pass",
"why": "<string>"
},
"looks_current": {
"verdict": "pass",
"why": "<string>"
},
"readability": {
"verdict": "pass",
"why": "<string>"
}
},
"header_action": "<string>",
"headline": "<string>",
"headline_specific": "pass",
"hero_action_late": true,
"load_screenshot_url": "<string>",
"offer": "<string>",
"proof_on_screen": true,
"reason": "<string>",
"regions": {
"call_to_action": {
"h": 123,
"w": 123,
"x": 123,
"y": 123
},
"headline": {
"h": 123,
"w": 123,
"x": 123,
"y": 123
}
},
"screenshot_url": "<string>",
"url": "<string>"
},
"alternates": [
{
"checked": true,
"problem": "redirects",
"url": "<string>"
}
],
"archive": "<string>",
"category": {
"collection": "<string>",
"count": 123,
"group": "<string>",
"name": "<string>"
},
"collection": "<string>",
"depth": 123,
"facts": {
"canonical_elsewhere": "<string>",
"form_fields": 123,
"h1": 123,
"images": {
"count": 123,
"missing_alt": 123
},
"lastmod": "<string>",
"meta_description": true,
"noindex": false,
"text": {
"rendered": 123,
"server": 123
},
"words": 123
},
"findings": [
"<string>"
],
"found_on": "<string>",
"host": "<string>",
"language": "<string>",
"notes": {},
"orphan": true,
"screenshot_url": "<string>",
"severity": "dead",
"status": 123,
"title": "<string>",
"type": "<string>",
"unread": false,
"url": "<string>"
}
],
"pages_total": 123,
"site": "<string>",
"site_pages": 123,
"state": "complete",
"unrecorded": 123
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Site
Get Audit Map
The site map frozen with the run the brand’s Website read serves, named in meta.data_as_of: every page in one language with the links between them and what each holds back, or one folder of it.
GET
/
v1
/
brands
/
{brand_id}
/
audit
/
map
Get Audit Map
curl --request GET \
--url https://api.heralded.ai/v1/brands/{brand_id}/audit/map \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.heralded.ai/v1/brands/{brand_id}/audit/map"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.heralded.ai/v1/brands/{brand_id}/audit/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.heralded.ai/v1/brands/{brand_id}/audit/map",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.heralded.ai/v1/brands/{brand_id}/audit/map"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.heralded.ai/v1/brands/{brand_id}/audit/map")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.heralded.ai/v1/brands/{brand_id}/audit/map")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"archives": [
{
"count": 0,
"kind": "<string>",
"label": "<string>",
"paged": 0,
"read": 0,
"taxonomy": "<string>"
}
],
"categories": [
{
"collection": "<string>",
"count": 123,
"group": "<string>",
"name": "<string>"
}
],
"citations": {},
"collections": [
{
"count": 0,
"key": "<string>",
"kind": "other",
"label": "",
"read": 0,
"sampled": false
}
],
"counts": {
"agent_unreachable": 0,
"broken": 0,
"orphans": 0
},
"findings": [
{
"area": "positioning",
"detail": "<string>",
"id": "<string>",
"pages": 123,
"severity": "issue"
}
],
"folder_pages_total": 123,
"folders": [
{
"broken": 123,
"improve": 123,
"issue": 123,
"pages": 123,
"path": "<string>"
}
],
"fully_read": false,
"language": "<string>",
"languages": [
{
"code": "<string>",
"found": 123,
"read": 123,
"root": "<string>"
}
],
"links": [
{
"kind": "link",
"label": "<string>",
"region": "<string>",
"rendered": true,
"source": "<string>",
"target": "<string>"
}
],
"meta": {
"data_as_of": {
"completed_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"last_attempt_failed": false,
"partial": false,
"query": {},
"surfaces": {},
"updating": false
},
"pages": [
{
"above_the_fold": {
"audience": "<string>",
"call_to_action": "<string>",
"captured_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"cta_actionable": "pass",
"design": {
"clutter": {
"verdict": "pass",
"why": "<string>"
},
"fits_buyer": {
"verdict": "pass",
"why": "<string>"
},
"generated_look": {
"verdict": "pass",
"why": "<string>"
},
"hierarchy": {
"verdict": "pass",
"why": "<string>"
},
"looks_current": {
"verdict": "pass",
"why": "<string>"
},
"readability": {
"verdict": "pass",
"why": "<string>"
}
},
"header_action": "<string>",
"headline": "<string>",
"headline_specific": "pass",
"hero_action_late": true,
"load_screenshot_url": "<string>",
"offer": "<string>",
"proof_on_screen": true,
"reason": "<string>",
"regions": {
"call_to_action": {
"h": 123,
"w": 123,
"x": 123,
"y": 123
},
"headline": {
"h": 123,
"w": 123,
"x": 123,
"y": 123
}
},
"screenshot_url": "<string>",
"url": "<string>"
},
"alternates": [
{
"checked": true,
"problem": "redirects",
"url": "<string>"
}
],
"archive": "<string>",
"category": {
"collection": "<string>",
"count": 123,
"group": "<string>",
"name": "<string>"
},
"collection": "<string>",
"depth": 123,
"facts": {
"canonical_elsewhere": "<string>",
"form_fields": 123,
"h1": 123,
"images": {
"count": 123,
"missing_alt": 123
},
"lastmod": "<string>",
"meta_description": true,
"noindex": false,
"text": {
"rendered": 123,
"server": 123
},
"words": 123
},
"findings": [
"<string>"
],
"found_on": "<string>",
"host": "<string>",
"language": "<string>",
"notes": {},
"orphan": true,
"screenshot_url": "<string>",
"severity": "dead",
"status": 123,
"title": "<string>",
"type": "<string>",
"unread": false,
"url": "<string>"
}
],
"pages_total": 123,
"site": "<string>",
"site_pages": 123,
"state": "complete",
"unrecorded": 123
}{
"code": "invalid_cursor",
"detail": "The cursor is invalid or belongs to a different query.",
"instance": "example-request-id",
"status": 400,
"title": "Bad Request",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_cursor"
}{
"code": "invalid_token",
"detail": "The Authorization header carries no API key Heralded knows: it is missing, mistyped, revoked or expired.",
"instance": "example-request-id",
"status": 401,
"title": "Unauthorized",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_token"
}{
"code": "not_found",
"detail": "Nothing here that this API key can read.",
"instance": "example-request-id",
"status": 404,
"title": "Not Found",
"type": "https://docs.heralded.ai/errors-and-limits#not_found"
}{
"code": "workspace_archived",
"detail": "The API key's organization is archived.",
"instance": "example-request-id",
"status": 409,
"title": "Conflict",
"type": "https://docs.heralded.ai/errors-and-limits#workspace_archived"
}{
"code": "invalid_request",
"detail": "The request's parameters are invalid; `errors` names each one.",
"errors": [
{
"loc": [
"query",
"limit"
],
"msg": "Input should be less than or equal to 100",
"type": "less_than_equal"
}
],
"instance": "example-request-id",
"status": 422,
"title": "Unprocessable Content",
"type": "https://docs.heralded.ai/errors-and-limits#invalid_request"
}{
"code": "rate_limited",
"detail": "This caller is past its requests for the minute. Retry after the seconds in Retry-After.",
"instance": "example-request-id",
"rate_limit": {
"limit": 120,
"remaining": 0,
"reset": 60,
"window": 60
},
"status": 429,
"title": "Too Many Requests",
"type": "https://docs.heralded.ai/errors-and-limits#rate_limited"
}Query Parameters
Response
Successful Response
A run's frozen map in one language: its pages, the links between them and what each holds back. With folder, that folder's pages and the folders under it.